Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 989781 - Access denied for Bugzilla
Summary: Access denied for Bugzilla
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-29 22:25 UTC by Andreas Girgensohn
Modified: 2013-08-24 00:02 UTC (History)
2 users (show)

Fixed In Version: bugzilla-4.2.6-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 00:00:53 UTC


Attachments (Terms of Use)

Description Andreas Girgensohn 2013-07-29 22:25:20 UTC
Description of problem:

After upgrading from Fedora 17 to Fedora 18 with yum, access to Bugzilla was denied.

Version-Release number of selected component (if applicable):

bugzilla-4.2.6-1.fc18.noarch
httpd-2.4.4-3.fc18.x86_64

How reproducible:


Steps to Reproduce:
1. Install Bugzilla in Fedora 17
2. Upgrade to Fedora 18 with yum.
3. Access http://server/bugzilla from another system.

Actual results:

403 Forbidden

In /var/log/httpd/error_log:

[Mon Jul 29 15:10:57.452342 2013] [authz_core:error] [pid 2595] [client 192.168.21.66:53774] AH01630: client denied by server configuration: /usr/share/bugzilla/


Additional info:

This is very similar to bug 905353 with the difference that access is from another system.  Replacing "Require local" with "Require all granted" in /etc/httpd/conf.d/bugzilla.conf fixes the problem.

Renaming /etc/httpd/conf.d/bugzilla.conf and /usr/share/bugzilla and running "yum reinstall bugzilla" does not fix the problem.  Maybe bugzilla cannot be accessed from other systems in the default configuration even without an upgrade from a previous Fedora version.

Comment 1 Emmanuel Seyman 2013-08-04 12:21:40 UTC
Looking back at it, "Require local" is indeed less appropriate than ""Require all granted". I'll change this and issue out an update.

Comment 2 Fedora Update System 2013-08-04 16:08:33 UTC
bugzilla-4.2.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bugzilla-4.2.6-2.fc19

Comment 3 Fedora Update System 2013-08-04 16:08:43 UTC
bugzilla-4.2.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bugzilla-4.2.6-2.fc18

Comment 4 Fedora Update System 2013-08-04 23:05:54 UTC
Package bugzilla-4.2.6-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bugzilla-4.2.6-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14243/bugzilla-4.2.6-2.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-08-24 00:00:53 UTC
bugzilla-4.2.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-08-24 00:02:02 UTC
bugzilla-4.2.6-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.